
%global meadversion 4.12.0
%global namedversion 4.12.0.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%global nfsmountable 1}
%{?scl:%scl_package ecj}
%{!?scl:%global pkg_name %{name}}

%define maven_version 4.12.0.redhat-1

Name:           %{?scl_prefix}ecj
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Eclipse ECJ
Group:          Development/Java

%if %with mead
Source100: ecj-4.12.0.redhat-1-scm-sources.zip
Source102: ecj-4.12.0.redhat-1-project-sources.tar.gz
Source103: ecj-4.12.0.redhat-1.jar
Source104: ecj-4.12.0.redhat-1.pom
Source105: ecj-4.12.0.redhat-1-sources.jar
%endif

License:        EPL 1.0
URL:            http://www.eclipse.org/jdt/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%{?scl:Requires: %scl_runtime}

%description
Eclipse JDT Core Batch Compiler.

%if %with javadoc
%package javadoc
Summary:        Javadoc for ecj
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n eclipse.jdt.core -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/ecj-%{namedversion}.jar %{buildroot}%{_javadir}/ecj-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/ecj-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/ecj-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/ecj-%{namedversion}-sources.jar %{buildroot}%{_javadir}/ecj-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/ecj-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/ecj-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/ecj-%{namedversion} -x META-INF/\*
%{__ln_s} ecj-%{namedversion} %{buildroot}%{_javadocdir}/ecj
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc README.md
%{_javadir}/ecj-%{namedversion}.jar
%{_javadir}/ecj.jar
%if %with javadoc
%{_javadir}/ecj-%{namedversion}-javadoc.jar
%{_javadir}/ecj-javadoc.jar
%endif
%{_javadir}/ecj-%{namedversion}-sources.jar
%{_javadir}/ecj-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/ecj-%{namedversion}
%{_javadocdir}/ecj
%endif

%changelog
* Fri Aug 02 2019 Coty Sutherland <csutherl@redhat.com> - 4.12.0-1.redhat_1.1
- R4_12, take two

* Thu Aug 01 2019 Coty Sutherland <csutherl@redhat.com> - 4.12-1.0.1
- R4_12

* Thu Nov 08 2018 Coty Sutherland <csutherl@redhat.com> - 4.6.1-6.redhat_1.1
- 5.0.2.DR1

* Tue Oct 30 2018 Coty Sutherland <csutherl@redhat.com> - 4.6.1-6.redhat_1.1
- Resolves: JWS-1054 missing nfsmountable directive

* Fri May 18 2018 Coty Sutherland <csutherl@redhat.com> - 4.6.1-5.redhat_1.1
- Resolves: JWS-727 Removing tomcat doesn't remove a few directories

* Thu Feb 15 2018 Patrick Sutherland <csutherl@redhat.com> - 4.6.1-4.redhat_1.1
- Building wrapper for el6 and el7

* Thu Feb 15 2018 Patrick Sutherland <csutherl@redhat.com> - 4.6.1-3.redhat_1.1
- Initial build for jws5 wrappers

* Thu Feb 15 2018 Patrick Sutherland <csutherl@redhat.com> - 4.6.1-3.redhat_1.1
- Initial build for jws5

* Thu Feb 15 2018 Coty Sutherland <csutherl@redhat.com> - 4.6.1-2.redhat_1.1
- Build wrappers in jws5 collection

* Tue Apr 11 2017 Fernando Nasser <fnasser@redhat.com> - 4.6.1-2.redhat_1.1
- Build wrappers in jws4 collection

* Tue Apr 11 2017 Fernando Nasser <fnasser@redhat.com> - 4.6.1-2.redhat_1.1
- Build wrappers in jws4 collection

* Tue Feb 07 2017 Petr Sakar <psakar@redhat.com> - 4.6.1-1.redhat_1.1
- upgrade to 4.6.1.redhat-1

* Thu Aug 11 2016 David Walluck <dwalluck@redhat.com> - 4.5.1-1.redhat_1.1
- 4.5.1

* Wed May 13 2015 Fernando Nasser <fnasser@redhat.com> - 4.4.2-4.redhat_2.1
- Re-wrap to include RHEL-6

* Fri May 01 2015 David Walluck <dwalluck@redhat.com> - 4.4.2-3.redhat_2.1
- rebuild to fix version

* Tue Apr 28 2015 David Walluck <dwalluck@redhat.com> - 4.4.2-2.redhat.2
- rebuild to update release number

* Tue Apr 28 2015 David Walluck <dwalluck@redhat.com> - 4.4.2-1.redhat.1
- build for EAP 7
